# $Revision: 1.10 $, $Date: 2005/05/28 21:06:18 $
%define		pname	libgconf-java
Summary:	Java interface for GConf
Summary(pl):	Wrapper Java dla GConf
Name:		java-gconf
Version:	2.10.1
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{pname}/2.10/%{pname}-%{version}.tar.bz2
# Source0-md5:	73efb6effd65e1fe1b949adb8c70d5db
URL:		http://java-gnome.sourceforge.net/
BuildRequires:	GConf2-devel >= 2.10.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gcc-java >= 5:3.3.2
BuildRequires:	gtk+2-devel >= 2:2.4.4
BuildRequires:	java-gtk-devel >= 2.6.0
BuildRequires:	libgcj-devel >= 5:3.3.2
BuildRequires:	pkgconfig
Obsoletes:	libgconf-java
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Java interface for GConf.

%description -l pl
Wrapper Java dla GConf.

%package devel
Summary:	Header files for java-gconf library
Summary(pl):	Pliki nagwkowe biblioteki java-gconf
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libgconf-java-devel

%description devel
Header files for java-gconf library.

%description devel -l pl
Pliki nagwkowe biblioteki java-gconf.

%prep
%setup -q -n %{pname}-%{version}

%build
%{__aclocal} -I `pkg-config --variable macro_dir gtk2-java`
%{__automake}
%{__autoconf}
%configure \
	GCJ_JAR=`echo %{_datadir}/java/libgcj*.jar` \
	--without-javadocs

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_javadir},%{_libdir},%{_pkgconfigdir}} \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
	
mv -f $RPM_BUILD_ROOT%{_docdir}/%{pname}-%{version}/examples \
        $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

rm -f $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/examples/*.in
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{pname}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/lib*-2.10.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.la
%{_examplesdir}/%{name}-%{version}
%{_javadir}/*
%{_pkgconfigdir}/*.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-gconf.spec,v $
Revision 1.10  2005/05/28 21:06:18  freetz
- cosmetics

Revision 1.9  2005/05/28 20:17:53  freetz
- 2.10.1, updated BRs, examples moved to %%{_examplesdir}, updated %%files,
  removed unused files and dirs

Revision 1.8  2004/12/14 16:59:57  baggins
- DON'T hardcode java paths!

Revision 1.7  2004/11/29 16:35:07  grzegol
- updated to 2.8.2
- removed outdated DESTDIR and CLASSPATH patches

Revision 1.6  2004/11/03 19:12:28  paladine
- formatting

Revision 1.5  2004/11/02 00:44:08  grzegol
- merged from DEVEL and updated to 2.8.0
- added CLASSPATH patch

Revision 1.4.2.3  2004/07/21 14:18:16  grzegol
- use %%{_javadir}

Revision 1.4.2.2  2004/07/21 14:05:46  grzegol
- updated to 2.7.4
- added DESTDIR patch
- removed outdated configure and gconf_cflags patches
- added epoch to gcc BRs
- cleanups

Revision 1.4.2.1  2004/07/04 22:02:50  grzegol
- updated to 2.7.2

Revision 1.4  2004/05/03 14:12:28  grzegol
- updated to 2.6.0

Revision 1.3  2004/04/07 16:35:11  grzegol
- updated to 2.5.7

Revision 1.2  2004/03/07 19:13:43  grzegol
- updated to 2.5.6
- removed outdated gcjjar patch

Revision 1.1  2004/02/19 22:20:58  grzegol
- moved from libgconf-java.spec

Revision 1.4  2004/02/18 09:37:15  qboosh
- added gcjjar patch, pass GCJ_JAR to configure (locate wouldn't work in many cases)

Revision 1.3  2004/02/17 20:44:37  grzegol
- added BR: slocate

Revision 1.2  2004/02/17 20:44:02  grzegol
- updated to 2.5.5
- removed outdated libgcj patch

Revision 1.1  2004/02/08 22:05:30  grzegol
- new
